/* Top left text */
.cell-container {
    position: relative;
    border-color: lightgray;
    border-width: 1px;
    border-style: solid; 
    width: 420px; 
    border-radius: 5px;
  }

.meme-title {
    font-weight: bold;
    font-size: 24px;
    white-space: nowrap;
    width: 380px;
}

.delete-enabled {
    cursor: pointer;
    color: #e56553;
    position: absolute;
    bottom: 1px;
    left: 360px;
    box-shadow: none;
  }

.delete-disabled {
    color: #a1a6aa;
    position: absolute;
    bottom: 1px;
    left: 360px;
}

.credits {
    font-size: 15px;
    font-weight: 600;
}

.vis-public {
    color: green;
    position: absolute;
    bottom: 1px;
    left: 300px;
}

.vis-private {
    color: #a1a6aa;
    position: absolute;
    bottom: 1px;
    left: 300px;
}

.copy-enabled {
    cursor: pointer;
    color: #4591e6;
    position: absolute;
    bottom: 1px;
    left: 330px;
}

.cell-footer {
    position: relative;
    width: 380px;
}

.loading-cell {
    position: relative;

    width: 420px;
    height: 400px;
    border-radius: 5px;

    color: transparent;
    background: linear-gradient(100deg, #dcdfe0 30%, #f6f7f8 50%, #dcdfe0 70%);
    background-size: 400%;
    animation: loading 1.2s ease-in-out infinite;
}

@keyframes loading {
    0% {
      background-position: 100% 50%;
    }
    100% {
      background-position: 0 50%;
    }
  }